List Addresses
Beta/v1/sales/addressesThis endpoint is idempotent. Learn more
Returns a paginated list of addresses.
cursoroptional stringQuery parameter: cursor for List Addresses
limitoptional integerQuery parameter: limit for List Addresses
qoptional stringQuery parameter: q for List Addresses
objectstringenumValues:listObject type for Address list
page_infoobjectPagination metadata for Address list
next_cursorstringnullableCursor to fetch the next page, null if no more pages.
prev_cursorstringnullableCursor to fetch the previous page, null if on the first page.
has_next_pagebooleanWhether more results exist after this page.
has_prev_pagebooleanWhether results exist before this page.
dataarray of objectArray of Address resources in this page
idstringAddress ID.
objectstringenumValues:addressResource type identifier.
namestringDisplay name of the address.
phonestringnullablePhone number associated with the address.
emailstringnullableEmail address associated with the address.
is_drop_shipbooleanWhether the address is a drop ship location.
geolocationobjectnullableGeolocation details for the address.
idstringGeolocation ID.
objectstringenumValues:geolocationResource type identifier.
street_line_1stringnullableFirst line of the street address.
street_line_2stringnullableSecond line of the street address.
localitystringnullableCity or locality.
statestringnullableState or administrative area.
postal_codestringnullablePostal or ZIP code.
countrystringTwo-letter country code.
created_atstring (date-time)Creation timestamp.
updated_atstring (date-time)Last updated timestamp.
Responses
Successful response for List Addresses